namespace baoge
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using System.Data.OleDb;

	/// <summary>
	///		ListNews 的摘要说明。
	/// </summary>
	public class ListNews : System.Web.UI.UserControl
	{
         protected string sub;
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面


			if(!IsPostBack)
			{
				GetNewsList();

			}





		}



		public string GetNewsList()
		{
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);


			ACconn.Open();

			string GetNewsList=null;//新闻主体
			//定义SQL语句
			string ACsql="select top 11 * from Article where ChannelID=29 order by ArticleID desc";

			//创建Command对像
			OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
			//通过执行Command实例化DataReader类
			OleDbDataReader ACdr=ACcomm.ExecuteReader();
		
			
			while(ACdr.Read ())//循环读取
			{
				sub=ACdr["Title"].ToString();
				if(sub.Length>30)
				{
					sub=sub.Remove(30,sub.Length-30)+"...";
				}
                GetNewsList+="<img src='img/icon3.gif'></img>"+" ";
//				GetNewsList+="*"+"  ";
				GetNewsList+="<a href='NewsView.aspx?id="+ACdr["ArticleID"]+"' target=_blank>"+sub+"</a>"+"<br>";
				GetNewsList+="<br>";
			}
			ACdr.Close ();//切记一定要关闭阅读器
			ACconn.Close();
			return GetNewsList;
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		设计器支持所需的方法 - 不要使用代码编辑器
		///		修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
